Verify a professional email
curl --request POST \
--url https://api.agntdata.dev/v1/data/agnt/people/email-verifier \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "patrick@stripe.com"
}
'import requests
url = "https://api.agntdata.dev/v1/data/agnt/people/email-verifier"
payload = { "email": "patrick@stripe.com" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'patrick@stripe.com'})
};
fetch('https://api.agntdata.dev/v1/data/agnt/people/email-verifier', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"email": "<string>",
"score": 123,
"smtp": true,
"mx": true,
"disposable": true,
"webmail": true,
"gibberish": true
},
"meta": {
"costCents": 123,
"purchasedBalanceCents": 123,
"subscriptionRemainingCents": 123,
"cached": true,
"latencyMs": 123,
"priceRange": {
"minCents": 123,
"maxCents": 123
},
"budgetCents": 123,
"budgetCentsPerRecord": 123,
"providersAttempted": 123,
"fieldsReturned": [
"<string>"
],
"fieldsMissing": [
"<string>"
],
"records": 123
}
}People — Email
Verify a professional email
Verify the deliverability and reputation of an email address. Returns a normalized status (valid, accept_all, unknown, invalid) and provider-agnostic signals (smtp, mx, disposable, webmail, gibberish).
POST
/
v1
/
data
/
agnt
/
people
/
email-verifier
Verify a professional email
Authorizations
Bearer token. Pass your agntdata API key as: Authorization: Bearer agnt_live_...
⌘I